/**
 * 
 */
package org.test;

import com.vaadin.annotations.Theme;
import org.vaadin.embedded.VaadinUIComponent;
import com.vaadin.server.VaadinRequest;
import com.vaadin.spring.annotation.SpringUI;
import com.vaadin.ui.HorizontalSplitPanel;
import com.vaadin.ui.UI;
import com.vaadin.ui.themes.ValoTheme;

@SuppressWarnings("serial")
@SpringUI
@Theme(ValoTheme.THEME_NAME)
public class HostUI extends UI
{

	/* (non-Javadoc)
	 * @see com.vaadin.ui.UI#init(com.vaadin.server.VaadinRequest)
	 */
	@Override
	protected void init(VaadinRequest request)
	{
		VaadinUIComponent ui1 = new VaadinUIComponent("http://localhost:8001");
		ui1.setSizeFull();
		VaadinUIComponent ui2 = new VaadinUIComponent("http://localhost:8002");

		HorizontalSplitPanel split = new HorizontalSplitPanel(ui1, ui2);
		split.setSizeFull();
		setContent(split);

	}

}
